Description

It seems that two key shortcuts in layout designer dosen't work for some reson.

Personally, I think we should standarized shortcuts. In my opinion we should use exactly the same shortcuts in "Layout Designer" & "Icon

Designer" for describing the same things in this case "move item down or up". Such thinking is supported by the fact that these two

controls are isolated from each other. So, It would be nice if we change this two shortcuts in "Layout designer":

KEY(MOVELAYOUTUP, "Move Layout Up", K_CTRL_UP)

KEY(MOVELAYOUTDOWN, "Move Layout Down", K_CTRL_DOWN)

Tested on POSIX (X11).

History

#1 - 12/05/2013 11:15 PM - Zbigniew Rebacz

    -  subject should be called "CTRL+ALT+UP" and "CTRL+ALT+DOWN" shortucts dosen't work in layout designer.

#2 - 12/06/2013 06:25 PM - Zbigniew Rebacz

Report: On MS Windows, also don't work.

#3 - 12/09/2013 08:26 AM - Miroslav Fidler

- Assignee changed from Miroslav Fidler to Zbigniew Rebacz

No quite sure about that. The idea is that 'lowest element' is image/widget, ctrl+up/down are supposed to move "lowest element".

#4 - 12/15/2013 09:43 PM - Zbigniew Rebacz

- Category changed from LayDes to IDE

- Status changed from Patch ready to New

- Assignee deleted (Zbigniew Rebacz)

- Priority changed from Low to Normal

- % Done changed from 100 to 0

I think the problem is with event managment. Method "DoKey" doesn't receive information about key until user manually click on layout designer!!!

bool   DoKey(dword key, int count); // <- Do not get the information unitil you activate layout designer!!!
P.S.

I don't know where to search to fix this issue.

#5 - 12/15/2013 10:33 PM - Zbigniew Rebacz

How to reproduce?

1. Click on layout file that contains layouts (2 or more!). 

2. Press following shortcuts CTRL+ALT+UP OR CTRL+ALT+DOWN (Other shortcuts don't work too!)

Result:

Shortcuts dosen't work!

#6 - 12/18/2013 07:02 PM - Miroslav Fidler

- Assignee set to Miroslav Fidler

#7 - 01/11/2014 11:33 AM - Miroslav Fidler

- Status changed from New to Approved

(default shortcuts added alternative Ctrl+Alt+PgUp/Dn because of clash with WM)

Files

laydes.key 1.54 KB 12/05/2013 Zbigniew Rebacz
